/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/

#include "cassinitoolsgui.h"
#include "ui_cassinitoolsgui.h"
#include <cassinitools.h>

CassiniToolsGUI::CassiniToolsGUI(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::CassiniToolsGUI)
{
    ui->setupUi(this);
    connect(this->ui->addFolderViewQpb,SIGNAL(clicked()),this,SLOT(addFolderView()));
}

CassiniToolsGUI::~CassiniToolsGUI()
{
    delete ui;
}

void CassiniToolsGUI::addFolderView()
{
    this->fileBrowsers.append(new FileBrowser());
    this->ui->folderViews->addDockWidget(Qt::TopDockWidgetArea,this->fileBrowsers.last());
    this->fileBrowsers.last()->setWindowTitle( QString("Browser %1").arg(this->fileBrowsers.length()));
    this->fileBrowsers.last()->setAllowedAreas(Qt::AllDockWidgetAreas);
    this->fileBrowsers.last()->setNameFilters(QStringList()<<"*.TAB");
    connect(this->fileBrowsers.last(),SIGNAL(fileDoubleClicked(QString)),this,SLOT(plotFile(QString)));
}

void CassiniToolsGUI::plotFile(const QString &File)
{
    CassiniTools::plotFile(File);
}

void CassiniToolsGUI::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
